#include <iostream>
#include <vector>
int main()
{
	int n,max,c,pom,j;
	scanf("%d",&n);
	std::vector <int> a(n);
	for(int i=0;i<n;i++)
	{
		scanf("%d",&a[i]);
	}
		for( j=0;j<n-1;j++)
		{
			c=j+1;
			max=a[c];
			for(int i=c;i<n;i++)
			{
				if(a[i]>=max)
				{
					max=a[i];
					c=i;
				}
			}
			if(a[j]<max)
			{
				pom=a[j];
				a[j]=max;
				a[c]=pom;
				for(int i=0;i<n;i++)
					printf("%d ", a[i]);
				j+=n;
			}	
		}
		if(j==(n-1))
		{
			pom=a[n-1];
			a[n-1]=a[n-2];
			a[n-2]=pom;
			for(int i=0;i<n;i++)
				printf("%d ", a[i]);
		}
	
	return 0;
}